!--------------------------------------
! *** addita.h ***
! Funzioni aggiuntive per Infit
! by Paolo Lucchesi
!
! Installazione: aggiungere la linea
!     Include "addita";
! dopo aver incluso "replace"
!
! Richiesta la versione 6/11 delle librerie e Infit 2.5
! Compatibile con italian3.h
!
! Aggiunge le seguenti funzioni:
!    CArtDa          come ArtDa, ma con l'iniziale della preposizione maiuscola
!    CArtSu          come ArtSu, ma con l'iniziale della preposizione maiuscola
!    CArtIn          come ArtIn, ma con l'iniziale della preposizione maiuscola
!    CArtA           come ArtA,  ma con l'iniziale della preposizione maiuscola
!    CArtDi          come ArtDi, ma con l'iniziale della preposizione maiuscola
!    TheyreorThats   stampa il verbo essere coniugato in accordo con l'argomento
!    CTheyreorThats  come sopra, ma con l'iniziale del verbo maiuscola


Default FIRST_PERSON 1;
Default SECOND_PERSON 2;

#IfNDef NPerson;
  Global NPerson=SECOND_PERSON;
#EndIF;

[ CArtDa o i;
    print "Da";
    i = indef_mode; indef_mode = false;
    if (o has proper)
    { indef_mode = NULL; print " ", (PSN__) o; indef_mode = i; return; }
    Articolo(o); indef_mode = i;
];

[ CArtSu o i;
    print "Su";
    if ( o == player ) { if (NPerson == FIRST_PERSON)print " di me"; else print " di te"; rfalse; }
    i = indef_mode; indef_mode = false;
    if (o has proper)
    { indef_mode = NULL; print " ", (PSN__) o; indef_mode = i; return; }
    Articolo(o); indef_mode = i;
];

[ CArtIn o i;
    if ( o == player ) print "In ";
    else print "Ne";
    i = indef_mode; indef_mode = false;
    if (o has proper)
    { indef_mode = NULL; print " ", (PSN__) o; indef_mode = i; return; }
    Articolo(o); indef_mode = i;
];

[ CArtA o i;
    print "A";
    i = indef_mode; indef_mode = false;
    if (o has proper)
    { indef_mode = NULL; print " ", (PSN__) o; indef_mode = i; return; }
    Articolo(o); indef_mode = i;
];

[ CArtDi o i;
    if ( o == player )
    { if (NPerson == FIRST_PERSON) print "Di me"; else print "Di te"; return; }
    print "De";
    i = indef_mode; indef_mode = false;
    if (o has proper)
    { indef_mode = NULL; print " ", (PSN__) o; indef_mode = i; return; }
    Articolo(o); indef_mode = i;
];

[ TheyreorThats obj;
    if (obj == player)             { if (NPerson == FIRST_PERSON) print "sono";
                                     else                         print "sei"; return; }
    if (obj has pluralname)        { print "sono"; return; }
    print "@`e";
];

[ CTheyreorThats obj;
    if (obj == player)             { if (NPerson == FIRST_PERSON) print "Sono";
                                     else                         print "Sei"; return; }
    if (obj has pluralname)        { print "Sono"; return; }
    print "@`E";
];

[ __addita_warning_squeezer;
  CArtDa();
  CArtSu();
  CArtIn();
  CArtA();
  CArtDi();
  TheyreorThats();
  CTheyreorThats();
  __addita_warning_squeezer();
];
